# 发行版相关

## 发布类型

* 定期发布 
    * 特点: 每隔一段时间(通常是几个月或几年)发布一个新的主要版本。每个主要版本包含一组固定的软件包和内核版本，并且在该版本的生命周期内，只会通过安全补丁和维护更新进行小幅度的改进。
* 滚动发布
    * 特点: 滚动发行版提供了一个持续更新的模型，在这种模型中，软件包和系统组件会不断地被更新到最新版本，而不需要等待特定的时间点来发布新的版本。这意味着用户可以随时获得最新的软件和功能。 
* 不可变发行版
    * 特点: 系统文件在运行时不可被直接修改。这种设计的核心理念是通过限制对系统层的更改，增强系统的稳定性、安全性和一致性。同时更新是“原子性”的：要么完全成功，要么完全失败，避免系统处于中间状态。


## 支持层级分类说明

* 一级架构支持
    * 定义: 由发行版官方团队主导维护，龙架构被列为该发行版的核心支持架构
    * 特点: 享有X86/ARM等架构的同级别资源投入、完整的软件仓库同步支持、定期发布系统镜像和官方安全更新
* 次级架构支持
    * 定义: 获得发行版官方认可但未列入核心架构支持
    * 特点: 由官方提供基础框架支持、软件包更新存在时间差
    * 可能存在的问题: 技术支持优先级较低、依赖社区开发者协作维护、系统镜像发布时间晚于其他架构
* 社区第三方支持
    * 定义: 由开源社区组织主导的移植项目
    * 特点: 有专门的技术委员会协调、遵循上游发行版规范进行适配、定期发布经过验证的衍生版
* 个人\团队移植支持
    * 定义: 开发者个人主导的非官方移植项目
    * 特点: 基于爱好者自发维护、以Git平台为主要协作空间
    * 需要关注的问题: 依赖维护者个人\团队精力投入软件包更新可能不及时
* 商业衍生支持
    * 定义: 特定的行业系统
    > OEM厂商基于社区版定制的商业解决方案
    > 工业控制领域的专用系统定制

